function Изображения(корень)
{
    this.создать = function()
    {
        this.умолчание = {
            x: 0,
            y: 0,
            ширина: 100,
            высота: 100,
            угол: 0,
        };
        this.задано = {};
        this.элементы = {};
    };

    this.обработатьКлюч = function(ключ, путь, значение)
    {
        var имя = путь[1];
        var свойство = путь.slice(2).join(".");
        
        if (!this.задано[имя])
        {
            this.задано[имя] = {};
        }
        this.задано[имя][свойство] = значение;
        this.обновитьЭлемент(имя);
    };

    this.создатьИлиПолучитьЭлемент = function(имя)
    {
        var эл = this.элементы[имя];
        if (эл)
        {
            return эл;
        }

        var ум = this.умолчание;
        эл = document.createElement("div");
        эл.id = `изображения-${имя}`;
        эл.style.position = "absolute";
        эл.style.display = "block";
        // Свойства по умолчанию.
        эл.style.width = `${ум.ширина}px`;
        эл.style.height = `${ум.высота}px`;
        эл.style.transform = `translate(${ум.x}px, ${ум.y}px) rotate(${ум.угол}rad)`;
        this.элементы[имя] = эл;
        корень.appendChild(эл);
        return эл;
    };

    this.обновитьЭлемент = function(имя)
    {
        var эл = this.создатьИлиПолучитьЭлемент(имя);
        
    };

    // Конструктор.
    this.создать();
}
